GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.xmethod.XMethod Class Reference
Inheritance diagram for gdb.xmethod.XMethod:

## Public Member Functions
def | __init__ (self, name)
def | __init__ (self, name)

## Public Attributes
| name
| enabled

## Detailed Description

    Base class (or a template) for an xmethod description.

    Currently, the description requires only the 'name' and 'enabled'
    attributes.  Description objects are managed by 'XMethodMatcher'
    objects (see below).  Note that this is only a template for the
    interface of the XMethodMatcher.methods objects.  One could use
    this class or choose to use an object which supports this exact same
    interface.  Also, an XMethodMatcher can choose not use it 'methods'
    attribute.  In such cases this class (or an equivalent) is not used.

    Attributes:
        name: The name of the xmethod.
        enabled: A boolean indicating if the xmethod is enabled.

Definition at line 30 of file xmethod.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.xmethod.XMethod.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 46 of file xmethod.py.

Referenced by gdb.xmethod.XMethod.__init__().

## ◆ __init__() [2/2]

def gdb.xmethod.XMethod.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 46 of file xmethod.py.

References gdb.xmethod.XMethod.__init__(), gdb.unwinder.Unwinder.enabled, gdb.xmethod.XMethod.enabled, gdb.printing.PrettyPrinter.enabled, gdb.printing.SubPrettyPrinter.enabled, gdb.types.TypePrinter.enabled, bp_location.enabled, exsummary.Function.name, gdb.unwinder.Unwinder.name, gdb.xmethod.XMethod.name, cmd_list_element.name, gdb.printing.PrettyPrinter.name, subfile.name, gdb.printing.SubPrettyPrinter.name, name, ada_task_info.name, gdb.types.TypePrinter.name, context_stack.name, subfile_stack.name, aop_map.name, cache_entry.name, ada_exc_info.name, and loaded_script.name.

## Member Data Documentation

## ◆ enabled

gdb.xmethod.XMethod.enabled

Definition at line 48 of file xmethod.py.

Referenced by gdb.xmethod.XMethod.__init__(), and gdb.xmethod.XMethodMatcher.__init__().

## ◆ name

gdb.xmethod.XMethod.name

Definition at line 47 of file xmethod.py.

Referenced by gdb.xmethod.XMethod.__init__(), and gdb.xmethod.XMethodMatcher.__init__().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/xmethod.py